      SUBROUTINE QETHET
     I                  (MESSFL,SCNAME,
     M                   THEIND,THEVAL)
C
C     + + + PURPOSE + + +
C     modify theta values (rate coef correction factors)
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER   MESSFL,THEIND(20)
      REAL      THEVAL(20)
      CHARACTER SCNAME*(*)
C
C     + + + ARGUMENT DEFINITIONS + + +
C     MESSFL - Fortran unit number for message file
C     SCNAME - screen name
C     THEIND - array indicating which theta values to be used
C     THEVAL - array of theta values
C
C     + + + LOCAL VARIABLES + + +
      INTEGER     I,J,I1,SCLU,SGRP,TLEN,RNUM,IVAL(1),CVAL(1,3,1)
      REAL        THEDEF(19)
      DOUBLE PRECISION DVAL(1)
      CHARACTER*1 TBUFF(152),BLNK
C
C     + + + INTRINSICS + + +
      INTRINSIC   ABS
C
C     + + + EXTERNALS + + +
      EXTERNAL    QRESCZ, ZIPC, ZWNSET
C
C     + + + DATA INITIALIZATIONS + + +
      DATA THEDEF/1.047,1.024,1.024,1.060,1.047,1.024,1.083,1.074,
     1            1.047,1.047,1.024,1.074,1.047,1.047,1.024,1.047,
     2            1.000,1.024,1.000/
C
C     + + + END SPECIFICATIONS + + +
C
      I1  = 1
      BLNK= ' '
      TLEN= 152
      CALL ZIPC (TLEN,BLNK,TBUFF)
      CALL ZWNSET (SCNAME)
      SCLU= 13
      RNUM= 19
      SGRP= 6
      CALL QRESCZ (MESSFL,SCLU,SGRP,I1,RNUM,I1,I1,I1,I1,TLEN,
     M             IVAL,THEVAL,DVAL,CVAL,TBUFF)
C
      J= 0
      DO 10 I= 1,19
C       see if user changed from default
        IF (ABS(THEVAL(I)-THEDEF(I)).GT.1.0E-5) THEN
C         user modified this one
          J= J+ 1
          THEIND(J)= I
        END IF
 10   CONTINUE
C
      RETURN
      END
